summaryrefslogtreecommitdiff
diff options
context:
space:
mode:
authorng0 <ng0@n0.is>2019-12-15 11:45:21 +0000
committerng0 <ng0@n0.is>2019-12-15 11:45:21 +0000
commit9cf25ee6eb849b78b5f0984dd17d73029fd1757c (patch)
treef0b844e80aba38a721412f23fb52a79e89cb115f
parent4c0107df95949a6cbc1170f0cf925ce8a72c1371 (diff)
downloadtaler-util-9cf25ee6eb849b78b5f0984dd17d73029fd1757c.tar.gz
taler-util-9cf25ee6eb849b78b5f0984dd17d73029fd1757c.tar.bz2
taler-util-9cf25ee6eb849b78b5f0984dd17d73029fd1757c.zip
bump submodule, add tox detection.
-rw-r--r--.gitignore3
-rw-r--r--Makefile4
-rw-r--r--README6
-rwxr-xr-xbootstrap17
m---------build-system/taler-build-scripts0
-rw-r--r--configure.py29
6 files changed, 58 insertions, 1 deletions
diff --git a/.gitignore b/.gitignore
index 33f3a08..5acaa23 100644
--- a/.gitignore
+++ b/.gitignore
@@ -7,3 +7,6 @@ dist/
\#*\#
__pycache__
*.pyc
+.style.yapf
+configure
+config.mk
diff --git a/Makefile b/Makefile
index a9f9939..d7d2309 100644
--- a/Makefile
+++ b/Makefile
@@ -1,2 +1,4 @@
+include config.mk
+
test:
- tox-3.7 || tox3.7 || tox || echo "error: you have to install tox"
+ $(tox) || echo "error: you have to install tox"
diff --git a/README b/README
index 5722032..56cddf4 100644
--- a/README
+++ b/README
@@ -13,3 +13,9 @@ tests
To run the unittests, execute
python3.7 setup.py test
+
+Installation
+------------
+
+You can use standard python tools to handle the setup,
+or use the Makefile and GNU standards wrapper around them.
diff --git a/bootstrap b/bootstrap
new file mode 100755
index 0000000..dcc5ae3
--- /dev/null
+++ b/bootstrap
@@ -0,0 +1,17 @@
+#!/bin/sh
+
+# Bootstrap the repository. Used when the repository is checked out from git.
+# When using the source tarball, running this script is not necessary.
+
+set -eu
+
+if ! git --version >/dev/null; then
+ echo "git not installed"
+ exit 1
+fi
+
+git submodule update --init
+git submodule update --recursive
+git submodule sync
+cp build-system/taler-build-scripts/configure ./configure || true
+cp build-system/taler-build-scripts/conf/.style.yapf .style.yapf || true
diff --git a/build-system/taler-build-scripts b/build-system/taler-build-scripts
-Subproject dd000ee983962b11a94cd0fcaa6d46ba9699b45
+Subproject ba139160511026f08dd4611dc689ee5a211febf
diff --git a/configure.py b/configure.py
new file mode 100644
index 0000000..2dde567
--- /dev/null
+++ b/configure.py
@@ -0,0 +1,29 @@
+import sys
+from pathlib import Path
+
+base_dir = Path(__file__, "../build-system/taler-build-scripts").resolve()
+
+if not base_dir.exists():
+ print(f"build system directory (${base_dir}) missing", file=sys.stderr)
+ sys.exit(1)
+
+sys.path.insert(0, str(base_dir))
+
+from talerbuildconfig import *
+
+b = BuildConfig()
+b.enable_prefix()
+b.enable_configmk()
+b.add_tool(PythonTool())
+b.add_tool(PyToxTool())
+b.add_tool(PosixTool("cp"))
+b.add_tool(PosixTool("echo"))
+b.add_tool(PosixTool("env"))
+b.add_tool(PosixTool("printf"))
+b.add_tool(PosixTool("grep"))
+b.add_tool(PosixTool("ln"))
+b.add_tool(PosixTool("mkdir"))
+b.add_tool(PosixTool("rm"))
+b.add_tool(PosixTool("sh"))
+b.add_tool(PosixTool("git"))
+b.run()